BizKitHub
DocsAPI ReferenceDrive/bff/drive/rename-folder
postDriveAdmin BFF

/bff/drive/rename-folder

Name must be unique within the parent folder.

DrivepostBffDriveRename-folder

Parameters

JSON body

Request body

application/json
folderIdstringRequired

Folder external id.

namestringRequired
Length: 1–128

Response schema

1 status code documented

200Success
idstringRequired
namestringRequired
changedbooleanRequired

Response example

application/json
{
  "id": "example_id",
  "name": "example_name",
  "changed": false
}

Request example

POST /bff/drive/rename-folder

post
curl -X POST "https://api.bizkithub.com/bff/drive/rename-folder" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "folderId": "example_folderId",
  "name": "example_name"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key